import { useState } from "react";
import { Form, InputGroup } from "react-bootstrap";

export default function SearchBar() {
	const [searchValue, setSearchValue] = useState('');

	const handleSearch = (e) => {
		e.preventDefault();
		console.log(searchValue);
	};

    return (
        <Form onSubmit={handleSearch} className='search-bar'>
            <InputGroup>
                <Form.Control type='text' list='datalistOptions' placeholder='Search' value={searchValue} onChange={(e) => setSearchValue(e.target.value)} />
            </InputGroup>
            <datalist id='datalistOptions'>
                <option value='San Francisco' />
                <option value='New York' />
                <option value='Seattle' />
                <option value='Los Angeles' />
                <option value='Chicago' />
            </datalist>
        </Form>
    );
}
